package com.qiaoba.api.monitor.entity.param;

import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 登录日志查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/19 15:59
 */
@Getter
@Setter
public class LoginLogParam implements Serializable {

    private String username;

    private String nickname;

    private String ip;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
}
