package com.qiaoba.api.system.entity.param;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.Size;

/**
 * 字典数据 查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
@Getter
@Setter
@NoArgsConstructor
public class SysDictDataParam {

    @Size(max = 30, message = "字段类型不能超过{max}个字符")
    private String dictType;

    @Size(max = 30, message = "字典标签不能超过{max}个字符")
    private String dictLabel;

    @Size(max = 1, message = "状态不能超过{max}个字符")
    private String status;

    public SysDictDataParam(String dictType) {
        this.dictType = dictType;
    }
}
