package com.qiaoba.api.system.entity.param;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 字典类型 查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/31 10:52
 */
@Getter
@Setter
public class SysDictTypeParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @Size(max = 30, message = "字典名称不能超过{max}个字符")
    private String dictName;

    @Size(max = 30, message = "字典类型不能超过{max}个字符")
    private String dictType;

    @Size(max = 1, message = "状态不能超过{max}个字符")
    private String status;

}
