package com.qiaoba.api.system.entity.param;

import com.qiaoba.common.base.entity.DataScopeParam;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 用户查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
@Getter
@Setter
public class SysUserParam extends DataScopeParam {

    private String username;

    private String nickname;

    private String phone;

    private String deptId;

    private String roleId;

    private String status;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

}
