package com.qiaoba.api.tenant.service;

import com.qiaoba.api.tenant.entity.SysTenant;
import com.qiaoba.api.tenant.entity.param.SysTenantParam;

import java.util.List;

/**
 * 租户管理 对外接口暴露
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-07-01 08:34:20
 */
public interface SysTenantApiService {

    /**
     * 条件查询租户列表
     *
     * @param param 条件
     * @return list
     */
    List<SysTenant> selectList(SysTenantParam param);
}
