package com.qiaoba.module.generator.entity;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;


/**
 * 业务表 gen_table
 *
 * @author ruoyi
 */
@Data
@TableName("generator_table")
public class GeneratorTable implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId
    private String tableId;

    /**
     * 表名称
     */
    private String tableName;

    /**
     * 表描述
     */
    private String tableComment;

    /**
     * 实体类名称(首字母大写)
     */
    private String className;

    /**
     * 生成包路径
     */
    private String packageName;

    /**
     * 生成模块名
     */
    private String moduleName;

    /**
     * 生成业务名
     */
    private String businessName;

    /**
     * 生成功能名
     */
    private String functionName;

    /**
     * 生成作者
     */
    private String author;

    /**
     * 父级菜单ID
     */
    private String parentMenuId;

    /**
     * 文档开关
     */
    private String docFlag;

    /**
     * Excel导出开关
     */
    private String excelFlag;

}
