package com.qiaoba.module.generator.entity.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 数据库表信息
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/26 9:21
 */
@Data
public class DbTableVo implements Serializable {

    /**
     * 表名称
     */
    private String tableName;

    /**
     * 表描述
     */
    private String tableComment;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

}
