package com.qiaoba.api.system.entity.param;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 系统配置查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-05-24 20:06:17
 */
@Getter
@Setter
public class SysConfigParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @Size(max = 30, message = "参数名称不能超过{max}个字符")
    private String configName;

    @Size(max = 50, message = "参数键值不能超过{max}个字符")
    private String configKey;

    @Size(max = 1, message = "参数类型不能超过{max}个字符")
    private String configType;
}
