package com.qiaoba.common.base.order;

/**
 * 过滤器执行顺序
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/7/6 9:22
 */
public interface FilterOrder {

    /**
     * 动态数据源过滤器-执行顺序(最高)
     */
    int DYNAMIC_DATASOURCE_FILTER_ORDER = -10000;

    /**
     * 在线用户过滤器
     */
    int ONLINE_USER_FILTER_ORDER = -9999;

}
