package com.qiaoba.common.database.properties;

import com.qiaoba.common.database.entity.DynamicDataSource;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * DataSourceProperties
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
@Component
@ConfigurationProperties(prefix = "qiaoba")
@Data
@EnableConfigurationProperties
public class DataSourceProperties {

    private List<DynamicDataSource> dataSources;

}
