package com.qiaoba.module.generator.entity.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 数据库表信息
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/26 9:21
 */
@Data
public class TableDto implements Serializable {

    /**
     * 表名称
     */
    private String tableName;

    /**
     * 表描述
     */
    private String tableComment;

    /**
     * 数据库类型 Mysql/Oracle/PgSql/Sql Server
     */
    private String dbType;

    /**
     * 模式
     */
    private String schema;
}
