package com.qiaoba.module.generator.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * 表字段信息
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/26 10:12
 */
@Data
public class TableColumnVo implements Serializable {

    /**
     * 列名称
     */
    private String columnName;

    /**
     * 列描述
     */
    private String columnComment;

    /**
     * 是否必填（1是）
     */
    private String isRequired;

    /**
     * 是否主键（1是）
     */
    private String isPk;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 列类型
     */
    private String columnType;
}
