package com.qiaoba.module.log.entity.param;

import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 使用日志 查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/7/5 14:24
 */
@Setter
@Getter
public class SysUseLogParam implements Serializable {

    private String title;

    private String operatorName;

    private Integer businessType;

    private Integer status;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
}
