package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysDictData;
import com.qiaoba.common.database.annotation.SelectOneRow;

/**
 * 字典数据管理 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
public interface SysDictDataMapper extends BaseMapper<SysDictData> {

    /**
     * 检查数据标签是否唯一
     *
     * @param sysDictData sysDictData
     * @return 已存在的值
     */
    @SelectOneRow
    String checkDictLabelUnique(SysDictData sysDictData);

    /**
     * 检查数据键值是否唯一
     *
     * @param sysDictData sysDictData
     * @return 已存在的值
     */
    @SelectOneRow
    String checkDictValueUnique(SysDictData sysDictData);
}
