package com.qiaoba.module.tenant.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.tenant.entity.SysTenant;
import com.qiaoba.common.database.annotation.SelectOneRow;

/**
 * 租户管理 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/30 11:08
 */
public interface SysTenantMapper extends BaseMapper<SysTenant> {

    /**
     * 检查公司名称是否存在
     *
     * @param sysTenant sysTenant
     * @return 已存在的名称
     */
    @SelectOneRow
    String checkCompanyNameIsExist(SysTenant sysTenant);
}
